package com.sqx.modules.goods.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.activityManage.entity.ActivityManage;
import com.sqx.modules.goods.entity.GoodsShop;
import com.sqx.modules.goods.entity.GoodsShopRelevancy;
import com.sqx.modules.goods.vo.GoodsShopVo;

import java.util.List;

public interface GoodsShopService extends IService<GoodsShop> {

    Result insertGoodsShop(GoodsShop goodsShop);

    Result updateGoodsShop(GoodsShop goodsShop);

    Result deleteGoodsShop(Long id);

    Result selectGoodsByShopId(Long shopId, Integer page, Integer limit, String goodsName, Integer classifyId, Integer status);

    Result selectGoodsByNotShopId(Long shopId, Integer page, Integer limit, String goodsName);

    Result addGoodsByShopId(List<GoodsShopRelevancy> goodsShopRelevancyList);

    Result deleteGoodsByShopId(Long shopId, Long goodsId);

    Result soldOutOrPutaway(Long shopId, Long goodsId, Integer status);

    Result updateGoodsByShopId(GoodsShopRelevancy goodsShopRelevancy);

    Result selectStoreData(Long shopId, String date, String dateType);

    Result selectStoreMessage(Long shopId, String startTime, String endTime, Integer page, Integer limit, String orderNumber);

    Result quickGoodsShop(GoodsShopVo goodsShopVo);

    Result selectGoodsShop(String phone,String msg);

    Integer cancelActivityShop(Long activityId, Long shopId);

    ActivityManage getShopActivity(Long shopId);

}
